<template>
  <v-pagination
    page-aria-label="Page"
    v-model="modelValue"
    :length="length"
    :total-visible="isMobile ? 1 : 5"
    @update:model-value="update"
  />
</template>

<script setup>
import { ref, watch, onMounted, onUnmounted } from "vue";

const props = defineProps({
  length: {
    type: Number,
    default: 5
  },
  page: {
    type: Number,
    default: 1
  },
});

onMounted(() => {
  modelValue.value = props.page
  isMobile.value = window.innerWidth < 768
  window.addEventListener("resize", handleWindowResize)
})

const modelValue = ref(props?.page)
const isMobile = ref(false)

const emits = defineEmits(['update:modelValue'])

const update = () => {
  emits('update:modelValue', modelValue.value)
}

onUnmounted(() => {
  window.removeEventListener("resize", handleWindowResize)
})

const handleWindowResize = (e) => {
  isMobile.value = e.target.innerWidth < 768
}

watch(props, (newValue, oldValue) => {
  if (newValue.page) {
    modelValue.value = newValue.page
  }
})
</script>